gconfmm: Gnome::Conf::SetInterface Class Reference

gconfmm 2.28.3

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
Gnome::Conf::SetInterface Class Reference

Common Interface for key-value settable objects. More...

Inheritance diagram for Gnome::Conf::SetInterface:
[legend]

List of all members.

## Public Member Functions
virtual void | set (const Glib::ustring& key, const Value&value)=0
virtual void | set (const Glib::ustring& key, bool what)=0
virtual void | set (const Glib::ustring& key, int what)=0
virtual void | set (const Glib::ustring& key, double what)=0
virtual void | set (const Glib::ustring& key, const Glib::ustring& what)=0
virtual void | set (const Glib::ustring& key, const Schema& what)=0
void | set (const Glib::ustring& key, const ValuePair& pair)
void | set_int_list (const Glib::ustring& key, const SListHandle_ValueInt& list)
void | set_bool_list (const Glib::ustring& key, const SListHandle_ValueBool& list)
void | set_float_list (const Glib::ustring& key, const SListHandle_ValueFloat& list)
void | set_string_list (const Glib::ustring& key, const SListHandle_ValueString& list)
void | set_schema_list (const Glib::ustring& key, const SListHandle_ValueSchema& list)

## Detailed Description

Common Interface for key-value settable objects.

This class defines a common interface for GConfmm objects that implement the set() methods for configuration keys. It also provides the implementations for the set_* _list() family of methods.

The only classes that support this interface are Client and ChangeSet.

The set_*_list() methods take as a parameter any STL-compatible container that has the appropriate value_type.

## Member Function Documentation

virtual void Gnome::Conf::SetInterface::set | ( | const Glib::ustring & | key,
|  | const Value& | value
| ) |  | `[pure virtual]`

Implemented in Gnome::Conf::Client, and Gnome::Conf::ChangeSet.

virtual void Gnome::Conf::SetInterface::set | ( | const Glib::ustring & | key,
|  | bool | what
| ) |  | `[pure virtual]`

Implemented in Gnome::Conf::Client, and Gnome::Conf::ChangeSet.

virtual void Gnome::Conf::SetInterface::set | ( | const Glib::ustring & | key,
|  | int | what
| ) |  | `[pure virtual]`

Implemented in Gnome::Conf::Client, and Gnome::Conf::ChangeSet.

virtual void Gnome::Conf::SetInterface::set | ( | const Glib::ustring & | key,
|  | double | what
| ) |  | `[pure virtual]`

Implemented in Gnome::Conf::Client, and Gnome::Conf::ChangeSet.

virtual void Gnome::Conf::SetInterface::set | ( | const Glib::ustring & | key,
|  | const Glib::ustring & | what
| ) |  | `[pure virtual]`

Implemented in Gnome::Conf::Client, and Gnome::Conf::ChangeSet.

virtual void Gnome::Conf::SetInterface::set | ( | const Glib::ustring & | key,
|  | const Schema& | what
| ) |  | `[pure virtual]`

Implemented in Gnome::Conf::Client, and Gnome::Conf::ChangeSet.

void Gnome::Conf::SetInterface::set | ( | const Glib::ustring & | key,
|  | const ValuePair& | pair
| ) |  |

void Gnome::Conf::SetInterface::set_bool_list | ( | const Glib::ustring & | key,
|  | const SListHandle_ValueBool & | list
| ) |  |

void Gnome::Conf::SetInterface::set_float_list | ( | const Glib::ustring & | key,
|  | const SListHandle_ValueFloat & | list
| ) |  |

void Gnome::Conf::SetInterface::set_int_list | ( | const Glib::ustring & | key,
|  | const SListHandle_ValueInt & | list
| ) |  |

void Gnome::Conf::SetInterface::set_schema_list | ( | const Glib::ustring & | key,
|  | const SListHandle_ValueSchema & | list
| ) |  |

void Gnome::Conf::SetInterface::set_string_list | ( | const Glib::ustring & | key,
|  | const SListHandle_ValueString & | list
| ) |  |

The documentation for this class was generated from the following file:

- gconfmm/setinterface.h